using examPrepare.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace examPrepare.Pages
{
  /// <summary>
  /// Interaction logic for Catalog.xaml
  /// </summary>
  public partial class Catalog : Page
  {
    public CatalogViewModel catalogData = new CatalogViewModel();
    public Catalog()
    {
      InitializeComponent();
      DataContext = catalogData;
    }

    private void Button_Click(object sender, RoutedEventArgs e)
    {
      Button btn = (Button)sender;
      string id = btn.Uid;
      if (GlobalInfo.cart.Any(item => item.Key == id))
      {
        GlobalInfo.cart[id]++; 
      } else
      {
        GlobalInfo.cart[id] = 1;
      }
      GlobalInfo.setUpProductCountFunc();
    }
  }
}
